﻿Public Class Form1
    ' Calculate the taxes.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' Get inputs.
        Dim wagesAndTips As Decimal = Decimal.Parse(txtWagesAndTips.Text, System.Globalization.NumberStyles.Any)
        Dim incomeTaxWithheld As Decimal = Decimal.Parse(txtIncomeTaxWithheld.Text, System.Globalization.NumberStyles.Any)
        Dim taxableSsWages As Decimal = Decimal.Parse(txtTaxableSsWages.Text, System.Globalization.NumberStyles.Any)
        Dim taxableSsTips As Decimal = Decimal.Parse(txtTaxableSsTips.Text, System.Globalization.NumberStyles.Any) ' Fixed.
        Dim taxableMedicareWagesAndTips As Decimal = Decimal.Parse(txtTaxableMedicareWagesAndTips.Text, System.Globalization.NumberStyles.Any)
        Dim fractionsOfCents As Decimal = Decimal.Parse(txtFractionsOfCents.Text, System.Globalization.NumberStyles.Any)
        Dim sickPay As Decimal = Decimal.Parse(txtSickPay.Text, System.Globalization.NumberStyles.Any)
        Dim termLife As Decimal = Decimal.Parse(txtTermLife.Text, System.Globalization.NumberStyles.Any)
        Dim eic As Decimal = Decimal.Parse(txtEic.Text, System.Globalization.NumberStyles.Any)
        Dim deposits As Decimal = Decimal.Parse(txtDeposits.Text, System.Globalization.NumberStyles.Any)
        Dim cobraPayments As Decimal = Decimal.Parse(txtCobraPayments.Text, System.Globalization.NumberStyles.Any)

        ' Calculate results.
        Dim ssWagesTax As Decimal = taxableSsWages * 0.124@                             ' Fixed.
        Dim ssTipsTax As Decimal = taxableSsTips * 0.124@
        Dim medicareTax As Decimal = taxableMedicareWagesAndTips * 0.029@               ' Fixed.
        Dim totalSsAndMedicareTax As Decimal = ssWagesTax + ssTipsTax + medicareTax
        Dim taxesBeforeAdjustments As Decimal = incomeTaxWithheld + totalSsAndMedicareTax
        Dim totalAdjustments As Decimal = fractionsOfCents + sickPay + termLife         ' Fixed.
        Dim taxesAfterAdjustments As Decimal = taxesBeforeAdjustments + totalAdjustments
        Dim taxesAfterEicAdjustment As Decimal = taxesAfterAdjustments - eic            ' Fixed.
        Dim line9Plus10 As Decimal = deposits + cobraPayments
        Dim balanceDue As Decimal = taxesAfterEicAdjustment - line9Plus10

        ' Display the results.
        txtSsWagesTax.Text = ssWagesTax.ToString("C")
        txtSsTipsTax.Text = ssTipsTax.ToString("C")
        txtMedicareWagesAndTipsTax.Text = medicareTax.ToString("C")
        txtTotalSsAndMedicareTax.Text = totalSsAndMedicareTax.ToString("C")
        txtTaxesBeforeAdjustments.Text = taxesBeforeAdjustments.ToString("C")
        txtAdjustments.Text = totalAdjustments.ToString("C")
        txtTaxesAfterAdjustments.Text = taxesAfterAdjustments.ToString("C")
        txtTaxesAfterEicAdjustment.Text = taxesAfterEicAdjustment.ToString("C")
        txtLines9Plus10.Text = line9Plus10.ToString("C")
        txtBalanceDue.Text = balanceDue.ToString("C")
    End Sub
End Class
