﻿Public Class Form1
    ' Calculate total cost.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' Make sure the user has made all of the selections.
        If ((lstToConferenceTransport.SelectedIndex < 0) OrElse
            (lstHotel.SelectedIndex < 0) OrElse
            (lstLocalTransport.SelectedIndex < 0)) Then
            MessageBox.Show("Please select make all three selections")
        Else
            Dim total As Decimal = 0

            ' Add transportation cost.
            Select Case lstToConferenceTransport.SelectedIndex
                Case 0
                    total += 645
                Case 1
                    total += 775
                Case 2
                    total += 150
                Case Else
                    MessageBox.Show("Error: Unknown transportation to conference selection.")
            End Select

            ' Add hotel cost.
            Select Case lstHotel.SelectedIndex
                Case 0
                    total += 60
                Case 1
                    total += 325
                Case 2
                    total += 650
                Case 3
                    total += 1375
                Case Else
                    MessageBox.Show("Error: Unknown hotel selection.")
            End Select

            ' Add local transportation cost.
            Select Case lstLocalTransport.SelectedIndex
                Case 0
                    total += 0
                Case 1
                    total += 175
                Case 2
                    total += 250
                Case 3
                    total += 450
                Case Else
                    MessageBox.Show("Error: Unknown local transportation selection.")
            End Select

            ' Display the result.
            txtGrandTotal.Text = total.ToString("C")
        End If
    End Sub
End Class
