﻿Public Class ShapeRectangle
    Inherits Shape

    Public Sub New(ByVal x As Integer, ByVal y As Integer, ByVal width As Integer, ByVal height As Integer)
        MyBase.new(x, y, width, height)
    End Sub

    Public Overrides Sub Draw(ByVal gr As Graphics, ByVal thePen As Pen, ByVal theBrush As Brush)
        gr.FillRectangle(theBrush, Bounds)
        gr.DrawRectangle(thePen, Bounds)
    End Sub

    Public Overrides Sub Draw(ByVal gr As Graphics)
        Draw(gr, Pens.Black, Brushes.Transparent)
    End Sub
End Class
