﻿Public Class Form1
    ' Make some ListView entries.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MakeCar("SSC Ultimate Aero", 257, 1183, 654400)
        MakeCar("Bugatti Veyron", 253, 1001, 1700000)
        MakeCar("Saleen S7 Twin-Turbo", 248, 750, 555000)
        MakeCar("Koenigsegg CCX", 245, 806, 545568)
        MakeCar("McLaren F1", 240, 637, 970000)
        MakeCar("Ferrari Enzo", 217, 660, 670000)
        MakeCar("Jaguar XJ220", 217, 542, 650000)
        MakeCar("Pagani Zonda F", 215, 650, 667321)
        MakeCar("Lamborghini Murcielago LP640", 211, 640, 430000)
        MakeCar("Porsche Carrera GT", 205, 612, 440000)

        ' Initially sort by name.
        Dim comparer As ListViewItemComparer = New ListViewItemComparer(0)
        lvwCars.ListViewItemSorter = comparer
    End Sub

    ' Make a row in the ListView.
    Private Sub MakeCar(ByVal name As String, ByVal maxSpeed As Integer, ByVal horsepower As Integer, ByVal price As Decimal)
        Dim item As ListViewItem = lvwCars.Items.Add(name)
        item.SubItems.Add(maxSpeed.ToString())
        item.SubItems.Add(horsepower.ToString())
        item.SubItems.Add(price.ToString("C"))
    End Sub

    ' Sort on the clicked column.
    Private Sub lvwCars_ColumnClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ColumnClickEventArgs) Handles lvwCars.ColumnClick
        ' Make a comparer for this column.
        Dim comparer As ListViewItemComparer = New ListViewItemComparer(e.Column)

        ' Sort.
        lvwCars.ListViewItemSorter = comparer
    End Sub
End Class
