﻿Imports System.IO

Public Class Form1
    ' Start in directories where the Names.txt file is if you
    ' downloaded the file structure from the book's web site.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim filePath As String = Path.GetFullPath(Path.Combine(Application.StartupPath, "..\..\..\"))
        txtInputFile.Text = filePath & "Names.txt"
        txtOutputFile.Text = filePath & "UniqueNames.txt"
    End Sub

    ' Sort the file and remove duplicates.
    Private Sub btnRemoveDuplicates_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemoveDuplicates.Click
        ' Read the input file's lines.
        Dim lines() As String = File.ReadAllLines(txtInputFile.Text)

        ' Sort.
        Array.Sort(lines)

        ' Remove duplicates.
        Dim unique As New List(Of String)()
        unique.Add(lines(0))
        For i As Integer = 1 To lines.Count - 1
            If lines(i) <> lines(i - 1) Then
                unique.Add(lines(i))
            End If
        Next i

        ' Save the result.
        File.WriteAllLines(txtOutputFile.Text, unique)

        MessageBox.Show("Done", "Done", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub
End Class
