﻿Public Class Form1
    ' Conversion factors to get to centimeters.
    Const cmPerInch As Double = 2.54
    Const cmPerFoot As Double = cmPerInch * 12
    Const cmPerYard As Double = cmPerFoot * 3
    Const cmPerMile As Double = cmPerFoot * 5280
    Const cmPerMeter As Double = 100
    Const cmPerKilometer As Double = cmPerMeter * 1000

    ' Convert from inches.
    Private Sub convertInchesButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertInchesButton.Click
        ' Get the value.
        Dim inches As Double = Double.Parse(inchesTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = inches * cmPerInch

        ' Calculate other values.
        Dim feet As Double = centimeters / cmPerFoot
        Dim yards As Double = centimeters / cmPerYard
        Dim miles As Double = centimeters / cmPerMile
        Dim meters As Double = centimeters / cmPerMeter
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from feet.
    Private Sub convertFeetButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertFeetButton.Click
        ' Get the value.
        Dim feet As Double = Double.Parse(feetTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = feet * cmPerFoot

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim yards As Double = centimeters / cmPerYard
        Dim miles As Double = centimeters / cmPerMile
        Dim meters As Double = centimeters / cmPerMeter
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from yards.
    Private Sub convertYardsButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertYardsButton.Click
        ' Get the value.
        Dim yards As Double = Double.Parse(yardsTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = yards * cmPerYard

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim feet As Double = centimeters / cmPerFoot
        Dim miles As Double = centimeters / cmPerMile
        Dim meters As Double = centimeters / cmPerMeter
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from miles.
    Private Sub convertMilesButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertMilesButton.Click
        ' Get the value.
        Dim miles As Double = Double.Parse(milesTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = miles * cmPerMile

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim feet As Double = centimeters / cmPerFoot
        Dim yards As Double = centimeters / cmPerYard
        Dim meters As Double = centimeters / cmPerMeter
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from centimeters.
    Private Sub convertCentimetersButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertCentimetersButton.Click
        ' Get the value.
        Dim centimeters As Double = Double.Parse(centimetersTextBox.Text)

        ' Convert to centimeters.
        ' Not needed for this one.

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim feet As Double = centimeters / cmPerFoot
        Dim yards As Double = centimeters / cmPerYard
        Dim miles As Double = centimeters / cmPerMile
        Dim meters As Double = centimeters / cmPerMeter
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from meters.
    Private Sub convertMetersButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertMetersButton.Click
        ' Get the value.
        Dim meters As Double = Double.Parse(metersTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = meters * cmPerMeter

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim feet As Double = centimeters / cmPerFoot
        Dim yards As Double = centimeters / cmPerYard
        Dim miles As Double = centimeters / cmPerMile
        Dim kilometers As Double = centimeters / cmPerKilometer

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub

    ' Convert from kilometers.
    Private Sub convertKilometersButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertKilometersButton.Click
        ' Get the value.
        Dim kilometers As Double = Double.Parse(kilometersTextBox.Text)

        ' Convert to centimeters.
        Dim centimeters As Double = kilometers * cmPerKilometer

        ' Calculate other values.
        Dim inches As Double = centimeters / cmPerInch
        Dim feet As Double = centimeters / cmPerFoot
        Dim yards As Double = centimeters / cmPerYard
        Dim miles As Double = centimeters / cmPerMile
        Dim meters As Double = centimeters / cmPerMeter

        ' Display the results.
        inchesTextBox.Text = inches.ToString()
        feetTextBox.Text = feet.ToString()
        yardsTextBox.Text = yards.ToString()
        milesTextBox.Text = miles.ToString()
        centimetersTextBox.Text = centimeters.ToString()
        metersTextBox.Text = meters.ToString()
        kilometersTextBox.Text = kilometers.ToString()
    End Sub
End Class
