﻿Public Class Form1
    ' A private field to keep track of grand total
    ' across multiple calls to the event handler.
    Private GrandTotal As Decimal = 0

    ' Let the user add a new item to the list.
    Private Sub btnAddItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddItem.Click
        Dim frm As NewItemForm = New NewItemForm()
        If (frm.ShowDialog() = DialogResult.OK) Then
            ' Get the new values.
            Dim lvi As ListViewItem = lvwItems.Items.Add(frm.ItemName)
            lvi.SubItems.Add(frm.PriceEach.ToString("C"))
            lvi.SubItems.Add(frm.Quantity.ToString())
            lvi.SubItems.Add(frm.TotalPrice.ToString("C"))

            ' Add to the grand total and display the new result.
            GrandTotal += frm.TotalPrice
            txtGrandTotal.Text = GrandTotal.ToString("C")
        End If
    End Sub
End Class
