﻿Public Class Form1
    ' Calculate the subtotal, tax, shipping, and grand total.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' The sales tax rate.
        Const SalesTaxRate As Decimal = 0.07@

        ' Get inputs.
        Dim price1 As Decimal = Decimal.Parse(txtPrice1.Text, System.Globalization.NumberStyles.Any)
        Dim price2 As Decimal = Decimal.Parse(txtPrice2.Text, System.Globalization.NumberStyles.Any)
        Dim price3 As Decimal = Decimal.Parse(txtPrice3.Text, System.Globalization.NumberStyles.Any)
        Dim price4 As Decimal = Decimal.Parse(txtPrice4.Text, System.Globalization.NumberStyles.Any)
        Dim quantity1 As Decimal = Decimal.Parse(txtQuantity1.Text, System.Globalization.NumberStyles.Any)
        Dim quantity2 As Decimal = Decimal.Parse(txtQuantity2.Text, System.Globalization.NumberStyles.Any)
        Dim quantity3 As Decimal = Decimal.Parse(txtQuantity3.Text, System.Globalization.NumberStyles.Any)
        Dim quantity4 As Decimal = Decimal.Parse(txtQuantity4.Text, System.Globalization.NumberStyles.Any)

        ' Calculate results.
        Dim TotalPrice1 As Decimal = price1 * quantity1
        Dim TotalPrice2 As Decimal = price2 * quantity2
        Dim TotalPrice3 As Decimal = price3 * quantity3
        Dim TotalPrice4 As Decimal = price4 * quantity4
        Dim subtotal As Decimal = TotalPrice1 + TotalPrice2 + TotalPrice3 + TotalPrice4
        Dim salesTax As Decimal = subtotal * SalesTaxRate

        ' Calculate shipping cost.
        Dim shipping As Decimal
        If (subtotal < 20) Then
            shipping = 5
        ElseIf (subtotal < 50) Then
            shipping = 7.5@
        ElseIf (subtotal < 75) Then
            shipping = 10
        Else
            shipping = 0
        End If

        ' Calculate the grand total.
        Dim GrandTotal As Decimal = subtotal + salesTax + shipping

        ' Display results.
        txtTotalPrice1.Text = TotalPrice1.ToString("C")
        txtTotalPrice2.Text = TotalPrice2.ToString("C")
        txtTotalPrice3.Text = TotalPrice3.ToString("C")
        txtTotalPrice4.Text = TotalPrice4.ToString("C")
        txtSubtotal.Text = subtotal.ToString("C")
        txtSalesTax.Text = salesTax.ToString("C")
        txtShipping.Text = shipping.ToString("C")
        txtGrandTotal.Text = GrandTotal.ToString("C")
    End Sub
End Class
