﻿Public Class Form1
    ' Add an item to the list and calculate
    ' the minimum, maxiumu, and average.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        ' Add the new number to the list.
        scoresListBox.Items.Add(Integer.Parse(scoreTextBox.Text))
        scoreTextBox.Clear()
        scoreTextBox.Focus()

        ' Find the minimum and maximum,
        ' and add up the scores.
        Dim total As Single = 0
        Dim minimum As Integer = CInt(scoresListBox.Items(0))
        Dim maximum As Integer = CInt(scoresListBox.Items(0))
        For Each score As Integer In scoresListBox.Items
            total += score
            If (score < minimum) Then minimum = score
            If (score > maximum) Then maximum = score
        Next score

        ' Calculate the average.
        Dim average As Single = total / scoresListBox.Items.Count

        ' Display the results.
        minimumTextBox.Text = minimum.ToString()
        maximumTextBox.Text = maximum.ToString()
        averageTextBox.Text = average.ToString("0.00")
    End Sub
End Class
