﻿Public Class Form1
    ' Make the user log in.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Create a LoginForm.
        Dim frm As LoginForm = New LoginForm()

        ' Repeat until the user successfully logs in.
        Dim tryingToLogin As Boolean = True
        While tryingToLogin
            ' Display the login dialog and check the result.
            If (frm.ShowDialog() = DialogResult.Cancel) Then
                ' The user gives up. Close and exit the loop.
                Me.Close()
                tryingToLogin = False
            Else
                ' See if the user entered valid values.
                If ((frm.txtUsername.Text = "User") AndAlso
                    (frm.txtPassword.Text = "Secret")) Then
                    ' Login succeeded. Stop trying to log in.
                    tryingToLogin = False
                Else
                    ' Login failed. Display a message and let the loop continue.
                    MessageBox.Show("Invalid username and password.")
                End If
            End If
        End While

        ' If we get here, we're done trying to log in.
    End Sub
End Class
