﻿Public Class Form1
    ' Calculate the Fibonacci number.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Dim number As Long = Long.Parse(txtNumber.Text)
        Dim answer As Long = Fibonacci(number)
        txtResult.Text = answer.ToString()
    End Sub

    ' Calculate the n-th Fibonacci number recursively.
    ' Note that this value is only correct if n >= 0.
    Private Function Fibonacci(ByVal n As Long) As Long
        ' Initialize the base cases.
        Dim fibo1 As Long = 0    ' Initially Fibonacci(0).
        Dim fibo2 As Long = 1    ' Initially Fibonacci(1).
        Dim fiboN As Long = 0    ' Initially Fibonacci(0).

        ' Calculate the result.
        For i As Long = 1 To n
            ' Calculate fiboN from fibo1 and fibo2.
            fiboN = fibo1 + fibo2

            ' Update fibo1 and fibo2 for the next loop.
            fibo2 = fibo1
            fibo1 = fiboN
        Next i

        Return fiboN
    End Function
End Class
