﻿Public Class Form1
    ' Calculate the factorial.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Try
            ' Get the input number.
            Dim number As Long = Long.Parse(txtNumber.Text)

            ' Calculate the factorial.
            Dim answer As Long = Factorial(number)

            ' Display the result.
            txtResult.Text = answer.ToString()
        Catch ex As Exception
            ' Display thue error message.
            MessageBox.Show(ex.Message)
            txtResult.Clear()
        End Try
    End Sub

    ' Calculate value!
    Private Function Factorial(ByVal value As Long) As Long
        If value < 0 Then
            Throw New ArgumentOutOfRangeException(
                "value",
                "The Factorial parameter must be at least 0.")
        End If

        ' Calculate the factorial.
        Dim result As Long = 1
        For i As Long = 2 To value
            result *= i
        Next i
        Return result
    End Function
End Class
