﻿Public Class Player
    ' Events.
    Public Event LevelUp(ByVal oldLevel As Integer, ByVal newLevel As Integer)
    Public Event LevelDown(ByVal oldLevel As Integer, ByVal newLevel As Integer)

    Public Property Name As String

    Private _Points As Integer
    Public Property Points As Integer
        Get
            Return _Points
        End Get
        Set(ByVal value As Integer)
            ' Save the old level.
            Dim oldLevel As Integer = Level

            ' Save the new value.
            _Points = value

            ' If the new and old multiples of 10 are different,
            ' raise the appropriate event.
            If Level > oldLevel Then
                RaiseEvent LevelUp(oldLevel, Level)
            ElseIf Level < oldLevel Then
                RaiseEvent LevelDown(oldLevel, Level)
            End If
        End Set
    End Property

    ' Return Points \ 10.
    Public ReadOnly Property Level As Integer
        Get
            Return Points \ 10
        End Get
    End Property
End Class
