﻿Public Class Person
    Public Property FirstName As String
    Public Property LastName As String
    Public Property Street As String
    Public Property City As String
    Public Property State As String
    Public Property Zip As String

    ' Display the person's address.
    ' A real application might print this on an envelope.
    Public Function GetAddress() As String
        Return FirstName & " " & LastName &
            vbCrLf & Street & vbCrLf & City &
            "    " & State & "    " & Zip
    End Function

    ' Constructors.
    Public Sub New()
        Console.WriteLine("Person()")
    End Sub

    ' Initialize all properties.
    Public Sub New(ByVal newFirstName As String, ByVal newLastName As String,
     ByVal newStreet As String, ByVal newCity As String,
     ByVal newState As String, ByVal newZip As String)
        Me.New()

        ' Initialize the other properties.
        Street = newStreet
        City = newCity
        State = newState
        Zip = newZip
        Console.WriteLine("Person(parameters)")
    End Sub
End Class
