﻿Public Class ComplexNumber
    Public Property Real As Double
    Public Property Imaginary As Double

    ' Constructors.
    Public Sub New(ByVal newReal As Double, ByVal newImaginary As Double)
        Real = newReal
        Imaginary = newImaginary
    End Sub
    Public Sub New(ByVal newReal As Double)
        Real = newReal
        Imaginary = 0
    End Sub

    Public Function AddTo(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real + c1.Real,
            Me.Imaginary + c1.Imaginary)
        Return result
    End Function
    Public Function AddTo(ByVal re As Double) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real + re,
            Me.Imaginary)
        Return result
    End Function

    Public Function MultiplyBy(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real * c1.Real - Me.Imaginary * c1.Imaginary,
            Me.Real * c1.Imaginary + Me.Imaginary * c1.Real)
        Return result
    End Function
    Public Function MultiplyBy(ByVal re As Double) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real * re,
            Me.Imaginary * re)
        Return result
    End Function

    Public Function SubtractFrom(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            c1.Real - Me.Real,
            c1.Imaginary - Me.Imaginary)
        Return result
    End Function
    Public Function SubtractFrom(ByVal re As Double) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            re - Me.Real,
            -Me.Imaginary)
        Return result
    End Function

    ' Return the number formatted as a string.
    Public Overrides Function ToString() As String
        Return String.Format("{0} + {1}i", Real, Imaginary)
    End Function
End Class
