﻿Public Class Employee
    Inherits Person

    Public Property MailStop As String

    Public Sub New(ByVal newFirstName As String, ByVal newLastName As String, ByVal newStreet As String, ByVal newCity As String, ByVal newState As String, ByVal newZip As String, ByVal newMailStop As String)
        MyBase.New(newFirstName, newLastName, newStreet, newCity, newState, newZip)
        MailStop = newMailStop
    End Sub

    ' Return first and last name.
    Public Overrides Function ToString() As String
        Return FirstName & " " & LastName
    End Function

    ' Return the Employee's address.
    Public Overrides Function GetAddress() As String
        Return MyBase.GetAddress() & vbCrLf & MailStop
    End Function
End Class
