﻿Public Class Form1
    ' Our list of shapes to draw.
    Private Shapes As List(Of Shape) = New List(Of Shape)()

    ' Make some shapes.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Shapes.Add(New ShapeEllipse(50, 50, 200, 200))
        Shapes.Add(New ShapeEllipse(100, 80, 40, 60))
        Shapes.Add(New ShapeEllipse(100, 80, 40, 60))
        Shapes.Add(New ShapeEllipse(120, 100, 20, 30))
        Shapes.Add(New ShapeEllipse(160, 80, 40, 60))
        Shapes.Add(New ShapeEllipse(180, 100, 20, 30))
        Shapes.Add(New ShapeEllipse(135, 130, 30, 50))
        Shapes.Add(New ShapeRectangle(120, 190, 60, 5))
        Shapes.Add(New ShapeRectangle(75, 25, 150, 50))
        Shapes.Add(New ShapeRectangle(50, 75, 200, 10))
    End Sub

    ' Force a redraw.
    Private Sub chkColored_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkColored.CheckedChanged
        Me.Invalidate()
    End Sub

    ' Redraw the objects.
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        e.Graphics.Clear(Me.BackColor)

        ' Loop through all of the shapes.
        For Each theShape As Shape In Shapes
            If (chkColored.Checked) Then
                ' Draw with a pen and brush.
                theShape.Draw(e.Graphics, Pens.Blue, Brushes.LightBlue)
            Else
                ' Draw with no pen or brush.
                theShape.Draw(e.Graphics)
            End If
        Next theShape
    End Sub
End Class
