﻿Public Class Form1
    ' The PriorityQueue.
    Private Queue As PriorityQueue(Of String) = New PriorityQueue(Of String)()

    ' Add an item to the queue.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        Dim priority As Integer = Integer.Parse(txtPriority.Text)
        Queue.Add(txtItem.Text, priority)

        txtItem.Clear()
        txtPriority.Clear()
        txtItem.Focus()

        ' Enable or disable the Get button.
        btnGet.Enabled = (Queue.Count > 0)
    End Sub

    ' Get the next item from the queue.
    Private Sub btnGet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGet.Click
        Dim priority As Integer = 0
        Dim item As String = ""
        Queue.GetItem(item, priority)

        txtItem.Text = item
        txtPriority.Text = priority.ToString()

        ' Enable or disable the Get button.
        btnGet.Enabled = (Queue.Count > 0)
    End Sub
End Class
