﻿Public Class Form1
    ' Restore saved settings.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Font = My.Settings.Font
        Me.ForeColor = My.Settings.ForeColor
        Me.BackColor = My.Settings.BackColor
    End Sub

    ' Let the user pick a foreground color.
    Private Sub btnForeColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForeColor.Click
        cdColor.Color = Me.ForeColor
        If cdColor.ShowDialog() = DialogResult.OK Then
            Me.ForeColor = cdColor.Color
            My.Settings.ForeColor = cdColor.Color
        End If
    End Sub

    ' Let the user pick a background color.
    Private Sub btnBackColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBackColor.Click
        cdColor.Color = Me.BackColor
        If cdColor.ShowDialog() = DialogResult.OK Then
            Me.BackColor = cdColor.Color
            My.Settings.BackColor = cdColor.Color
        End If
    End Sub

    ' Let the user pick a font.
    Private Sub btnFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFont.Click
        fdFont.Font = Me.Font
        If fdFont.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Me.Font = fdFont.Font
            My.Settings.Font = fdFont.Font

            Me.ForeColor = fdFont.Color
            My.Settings.ForeColor = fdFont.Color
        End If
    End Sub
End Class
