﻿Partial Public Class Student
    Public Overrides Function ToString() As String
        Return FirstName & " " & LastName
    End Function

    ' Return the student's average.
    Public Function Average() As Double
        If TestScores.Count = 0 Then Return 0

        ' Add up the test scores.
        Dim total As Double = 0
        For Each aTestScore As TestScore In TestScores
            total += aTestScore.Score
        Next aTestScore

        ' Return the average.
        Return total / TestScores.Count
    End Function
End Class
